# FedTime Class Reference

`#include <FedTimeD.hh>`

List of all members.

## Public Member Functions
| FedTime ()
| FedTime (const double &)
| FedTime (const FedTime &)
| ~FedTime ()
void | setZero ()
bool | isZero ()
void | setEpsilon ()
void | setPositiveInfinity ()
bool | isPositiveInfinity () const
int | encodedLength () const
void | encode (char *) const
int | getPrintableLength () const
void | getPrintableString (char *)
double | getTime () const
FedTime & | operator+= (const FedTime &)
FedTime & | operator-= (const FedTime &)
bool | operator<= (const FedTime &) const
bool | operator< (const FedTime &) const
bool | operator>= (const FedTime &) const
bool | operator> (const FedTime &) const
bool | operator== (const FedTime &) const
bool | operator== (const double &) const
bool | operator!= (const FedTime &) const
bool | operator!= (const double &) const
FedTime & | operator= (const FedTime &)
FedTime & | operator= (const double &)
FedTime & | operator*= (const FedTime &)
FedTime & | operator/= (const FedTime &)
FedTime & | operator+= (const double &)
FedTime & | operator-= (const double &)
FedTime & | operator*= (const double &)
FedTime & | operator/= (const double &)
FedTime | operator+ (const FedTime &)
FedTime | operator+ (const double &)
FedTime | operator- (const FedTime &)
FedTime | operator- (const double &)
FedTime | operator* (const FedTime &)
FedTime | operator* (const double &)
FedTime | operator/ (const FedTime &)
FedTime | operator/ (const double &)
## Static Public Member Functions
static int | fcmp (const double x1, const double x2)
## Static Public Attributes
static const double | epsilon = std::numeric_limits<double>::epsilon()
## Private Attributes
double | _fedTime
double | _zero
double | _epsilon
double | _positiveInfinity
## Friends
std::ostream CERTI_EXPORT & | operator<< (std::ostream &, const FedTime &time)

## Detailed Description

Definition at line 116 of file FedTimeD.hh.

## Constructor & Destructor Documentation

FedTime | ( |  | ) |

Definition at line 52 of file FedTime.cc.

FedTime | ( | const double & | time | ) |

Definition at line 58 of file FedTime.cc.

FedTime | ( | const FedTime & | time | ) |

Definition at line 64 of file FedTime.cc.

~FedTime | ( |  | ) |

Definition at line 71 of file FedTime.cc.

## Member Function Documentation

int fcmp | ( | const double | x1,
|  | const double | x2 |
| ) |  |  | `[static]`

Definition at line 46 of file FedTime.cc.

References FedTime::epsilon, and certi::fcmp().

Referenced by FedTime::operator!=(), FedTime::operator<(), FedTime::operator<=(), FedTime::operator==(), FedTime::operator>(), and FedTime::operator>=().

Here is the call graph for this function:

void setZero | ( |  | ) |

Definition at line 77 of file FedTime.cc.

References FedTime::_fedTime, and FedTime::_zero.

Referenced by Message::Message(), and Message::readBody().

bool isZero | ( |  | ) |

Definition at line 84 of file FedTime.cc.

References FedTime::_fedTime, and FedTime::_zero.

void setEpsilon | ( |  | ) |

Definition at line 91 of file FedTime.cc.

References FedTime::_epsilon, and FedTime::_fedTime.

void setPositiveInfinity | ( |  | ) |

Definition at line 98 of file FedTime.cc.

References FedTime::_fedTime, and FedTime::_positiveInfinity.

bool isPositiveInfinity | ( |  | ) | const

Definition at line 105 of file FedTime.cc.

References FedTime::_fedTime, and FedTime::_positiveInfinity.

Referenced by FedTime::getPrintableLength(), FedTime::getPrintableString(), FedTime::operator!=(), FedTime::operator<(), certi::operator<<(), FedTime::operator<=(), FedTime::operator==(), FedTime::operator>(), and FedTime::operator>=().

int encodedLength | ( |  | ) | const

Definition at line 112 of file FedTime.cc.

References FedTime::_epsilon, FedTime::_fedTime, FedTime::_positiveInfinity, and FedTime::_zero.

void encode | ( | char * | buffer | ) | const

Definition at line 124 of file FedTime.cc.

int getPrintableLength | ( |  | ) | const

Definition at line 133 of file FedTime.cc.

References FedTime::_fedTime, infinity_str, and FedTime::isPositiveInfinity().

Here is the call graph for this function:

void getPrintableString | ( | char * | str | ) |

Definition at line 147 of file FedTime.cc.

References FedTime::_fedTime, infinity_str, and FedTime::isPositiveInfinity().

Here is the call graph for this function:

double getTime | ( |  | ) | const

Definition at line 234 of file FedTime.cc.

References FedTime::_fedTime.

Referenced by RTIG::chooseProcessingMethod(), NetworkMessage::deserialize(), Message::display(), certi::operator*(), certi::operator+(), certi::operator-(), certi::operator/(), certi::operator<<(), RTIG::processMessageNull(), RTIA::processNetworkMessage(), RTIG::processSendInteraction(), RTIG::processSetTimeConstrained(), RTIG::processSetTimeRegulating(), RTIG::processUpdateAttributeValues(), RTI::RTIambassador::queryLookahead(), TimeManagement::requestMinNextEventTime(), TimeManagement::sendNullMessage(), NetworkMessage::serialize(), TimeManagement::setLookahead(), TimeManagement::setTimeRegulating(), TimeManagement::timeAdvance(), TimeManagement::timeAdvanceGrant(), TimeManagement::timeAdvanceRequest(), TimeManagement::timeAdvanceRequestAvailable(), LBTS::update(), and Message::writeBody().

FedTime & operator+= | ( | const FedTime & | time | ) |

Definition at line 162 of file FedTime.cc.

References FedTime::_fedTime.

FedTime & operator-= | ( | const FedTime & | time | ) |

Definition at line 170 of file FedTime.cc.

References FedTime::_fedTime.

bool operator<= | ( | const FedTime & | time | ) | const

Definition at line 178 of file FedTime.cc.

References FedTime::_epsilon, FedTime::_fedTime, FedTime::fcmp(), and FedTime::isPositiveInfinity().

Here is the call graph for this function:

bool operator< | ( | const FedTime & | time | ) | const

Definition at line 190 of file FedTime.cc.

References FedTime::_epsilon, FedTime::_fedTime, FedTime::fcmp(), and FedTime::isPositiveInfinity().

Here is the call graph for this function:

bool operator>= | ( | const FedTime & | time | ) | const

Definition at line 200 of file FedTime.cc.

References FedTime::_epsilon, FedTime::_fedTime, FedTime::fcmp(), and FedTime::isPositiveInfinity().

Here is the call graph for this function:

bool operator> | ( | const FedTime & | time | ) | const

Definition at line 212 of file FedTime.cc.

References FedTime::_epsilon, FedTime::_fedTime, FedTime::fcmp(), and FedTime::isPositiveInfinity().

Here is the call graph for this function:

bool operator== | ( | const FedTime & | time | ) | const

Definition at line 222 of file FedTime.cc.

References FedTime::_epsilon, FedTime::_fedTime, FedTime::fcmp(), and FedTime::isPositiveInfinity().

Here is the call graph for this function:

bool operator== | ( | const double & | time | ) | const

Definition at line 241 of file FedTime.cc.

References FedTime::_epsilon, FedTime::_fedTime, FedTime::fcmp(), and FedTime::isPositiveInfinity().

Here is the call graph for this function:

bool operator!= | ( | const FedTime & | time | ) | const

Definition at line 248 of file FedTime.cc.

References FedTime::_epsilon, FedTime::_fedTime, and FedTime::fcmp().

Here is the call graph for this function:

bool operator!= | ( | const double & | time | ) | const

Definition at line 255 of file FedTime.cc.

References FedTime::_epsilon, FedTime::_fedTime, FedTime::fcmp(), and FedTime::isPositiveInfinity().

Here is the call graph for this function:

FedTime & operator= | ( | const FedTime & | time | ) |

Definition at line 262 of file FedTime.cc.

References FedTime::_fedTime.

FedTime & operator= | ( | const double & | time | ) |

Definition at line 270 of file FedTime.cc.

References FedTime::_fedTime.

FedTime & operator*= | ( | const FedTime & | time | ) |

Definition at line 277 of file FedTime.cc.

References FedTime::_fedTime.

FedTime & operator/= | ( | const FedTime & | time | ) |

Definition at line 284 of file FedTime.cc.

References FedTime::_fedTime.

FedTime & operator+= | ( | const double & | time | ) |

Definition at line 291 of file FedTime.cc.

References FedTime::_fedTime.

FedTime & operator-= | ( | const double & | time | ) |

Definition at line 298 of file FedTime.cc.

References FedTime::_fedTime.

FedTime & operator*= | ( | const double & | time | ) |

Definition at line 305 of file FedTime.cc.

References FedTime::_fedTime.

FedTime & operator/= | ( | const double & | time | ) |

Definition at line 312 of file FedTime.cc.

References FedTime::_fedTime.

FedTime operator+ | ( | const FedTime & | time | ) |

Definition at line 320 of file FedTime.cc.

References FedTime::_fedTime.

FedTime operator+ | ( | const double & | time | ) |

Definition at line 327 of file FedTime.cc.

References FedTime::_fedTime.

FedTime operator- | ( | const FedTime & | time | ) |

Definition at line 335 of file FedTime.cc.

References FedTime::_fedTime.

FedTime operator- | ( | const double & | time | ) |

Definition at line 342 of file FedTime.cc.

References FedTime::_fedTime.

FedTime operator* | ( | const FedTime & | time | ) |

Definition at line 350 of file FedTime.cc.

References FedTime::_fedTime.

FedTime operator* | ( | const double & | time | ) |

Definition at line 357 of file FedTime.cc.

References FedTime::_fedTime.

FedTime operator/ | ( | const FedTime & | time | ) |

Definition at line 365 of file FedTime.cc.

References FedTime::_fedTime.

FedTime operator/ | ( | const double & | time | ) |

Definition at line 372 of file FedTime.cc.

References FedTime::_fedTime.

## Friends And Related Function Documentation

std::ostream CERTI_EXPORT& operator<< | ( | std::ostream & | s,
|  | const FedTime & | time |
| ) |  |  | `[friend]`

Definition at line 381 of file FedTime.cc.

## Member Data Documentation

const double epsilon = std::numeric_limits<double>::epsilon()`[static]`

Definition at line 119 of file FedTimeD.hh.

Referenced by FedTime::fcmp().

double _fedTime`[private]`

Definition at line 169 of file FedTimeD.hh.

Referenced by FedTime::encodedLength(), FedTime::getPrintableLength(), FedTime::getPrintableString(), FedTime::getTime(), FedTime::isPositiveInfinity(), FedTime::isZero(), FedTime::operator!=(), FedTime::operator*(), FedTime::operator*=(), FedTime::operator+(), FedTime::operator+=(), FedTime::operator-(), FedTime::operator-=(), FedTime::operator/(), FedTime::operator/=(), FedTime::operator<(), FedTime::operator<=(), FedTime::operator=(), FedTime::operator==(), FedTime::operator>(), FedTime::operator>=(), FedTime::setEpsilon(), FedTime::setPositiveInfinity(), and FedTime::setZero().

double _zero`[private]`

Definition at line 170 of file FedTimeD.hh.

Referenced by FedTime::encodedLength(), FedTime::isZero(), and FedTime::setZero().

double _epsilon`[private]`

Definition at line 171 of file FedTimeD.hh.

Referenced by FedTime::encodedLength(), FedTime::operator!=(), FedTime::operator<(), FedTime::operator<=(), FedTime::operator==(), FedTime::operator>(), FedTime::operator>=(), and FedTime::setEpsilon().

double _positiveInfinity`[private]`

Definition at line 172 of file FedTimeD.hh.

Referenced by FedTime::encodedLength(), FedTime::isPositiveInfinity(), and FedTime::setPositiveInfinity().

The documentation for this class was generated from the following files:

- FedTimeD.hh
- FedTime.cc